<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.6.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    <!--
        Added the entity Feature.
    -->
    <changeSet id="20220117093440-1" author="jhipster">
        <createTable tableName="feature">
            <column name="id" type="bigint" autoIncrement="true">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="name" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="is_enable" type="boolean">
                <constraints nullable="true" />
            </column>
            <column name="value" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="key_1" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="value_1" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="key_2" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="value_2" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
    </changeSet>

    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20220117093440-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/feature.csv"
                  separator=";"
                  tableName="feature"
                  usePreparedStatements="true">
            <column name="id" type="numeric"/>
            <column name="name" type="string"/>
            <column name="is_enable" type="boolean"/>
            <column name="value" type="string"/>
            <column name="key_1" type="string"/>
            <column name="value_1" type="string"/>
            <column name="key_2" type="string"/>
            <column name="value_2" type="string"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>
</databaseChangeLog>
